Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229929 - Review Request: mecab-jumandic - JUMAN dictorionary for MeCab
Summary: Review Request: mecab-jumandic - JUMAN dictorionary for MeCab
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 229927
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-24 15:34 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 01:11:44 UTC
hdegoede: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-02-24 15:34:21 UTC
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-jumandic.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-jumandic-5.1.20051121-1.fc7.src.rpm
Mockbuild log on FC-devel i386:
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-mecab-jumandic.log
Description: 
MeCab JUMAN is a dictionary for MeCab using CRF estimation
based on Kyoto corpus.

rpmlint on binary rpm:
---------------------------------------------
E: mecab-jumandic no-binary
E: mecab-jumandic only-non-binary-in-usr-lib
---------------------------------------------
Well, no executable binaries are installed, but the
installed data is compiled by arch-dependent binaries
(in mecab: bug 229927) and the created data are
arch-dependent.

This package depends on mecab (bug 229927)

Comment 1 Hans de Goede 2007-02-26 19:12:28 UTC
<bummer>

I just tried to build this to review it and it fails with:
make: /usr/lib64exec/mecab/mecab-dict-index: Command not found
make: /usr/lib64exec/mecab/mecab-dict-index: Command not found

Whereas mecab installs:
[hans@shalem ~]$ rpm -ql mecab
mecab-0.94-0.3.pre2.x86_64
/etc/mecabrc
/usr/bin/mecab
/usr/lib64/libmecab.so.1
/usr/lib64/libmecab.so.1.0.0
/usr/libexec/mecab
/usr/libexec/mecab/mecab-cost-train
/usr/libexec/mecab/mecab-dict-gen
/usr/libexec/mecab/mecab-dict-index
/usr/libexec/mecab/mecab-system-eval
/usr/libexec/mecab/mecab-test-gen

So this needs fixing as /usr/lib64exec does not even exist on my system (and
/usr/libexec is part of the filesystem package). So mecab-jumandic should always
be using /usr/libexec or %{_libexecdir} even when on 64 bit. 



Comment 2 Mamoru TASAKA 2007-02-27 03:52:19 UTC
(In reply to comment #1)
> <bummer>
> 
> I just tried to build this to review it and it fails with:
> make: /usr/lib64exec/mecab/mecab-dict-index: Command not found
> make: /usr/lib64exec/mecab/mecab-dict-index: Command not found

This was due to mecab-config in mecab-devel.
I rebuilt 0.94-0.4.pre2 so would you try it? (this version
is now in buildsys and mockbuild should catch this version).

Comment 3 Mamoru TASAKA 2007-02-27 06:17:14 UTC
Note: this version of mecab can be downloaded directly
from under http://buildsys.fedoraproject.org/plague-results/

Comment 4 Hans de Goede 2007-03-02 15:09:02 UTC
Sorry I hadn't assigned this to myself yet so I didn't see any of your replies
(oops). I'll get around to reviewing this as time permits.


Comment 5 Mamoru TASAKA 2007-03-03 16:22:09 UTC
Well, I changed the default encoding of the dictionary data
to UTF-8.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-jumandic.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-jumandic-5.1.20051121-3.fc7.src.rpm
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-mecab-jumandic.log

--------------------------------------------------
* Sat Mar  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 5.1.20051121-3
- Change default to UTF-8 and make EUC-JP charset package.

Comment 6 Hans de Goede 2007-03-04 11:13:27 UTC
MUST:
=====
* rpmlint output is:
E: mecab-jumandic no-binary
E: mecab-jumandic only-non-binary-in-usr-lib
E: mecab-jumandic-EUCJP only-non-binary-in-usr-lib
These are "normal" for this package and can be ignored
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
0 No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* no .desktop file required

Must Fix:
=========

* add %defattr(-,root,root,-) to %files EUCJP
* add || : at the end of the %post sed lines, so that if sed fails for some 
  reason this doesn't cause the entire rpm transaction to fail

Questions:
==========

* If one installs multiple dictionaries, the config file will only contain
  the last one installed, can mecab handle multiple dicts in the config file?
* What happens if all dicts get uninstalled?



Comment 7 Mamoru TASAKA 2007-03-04 12:01:40 UTC
Thank you for first reviewing!!

Well, before fixing spec/srpm: 
> Questions:
> ==========
> 
> * If one installs multiple dictionaries, the config file will only contain
>   the last one installed, can mecab handle multiple dicts in the config file?

Only one. So always the last one is used unless mecab user
overwrites what dictionary to use from command line option.

However allowing to install multiple dictionaries even if
only the last one is used by default is not bad IMO because
sysadmin can manually edit mecabrc if he/she wants.

> * What happens if all dicts get uninstalled?
The core "mecab" binary becomes useless,
because "mecab" is a utility to analyze the "structure" of 
Japanese sentence and it surely requires one dictionary. 

Still some other binaries (under /usr/libexec/mecab) 
can be used (mainly for compiling dictionaries) and rebuilding
mecab dictionary (currently mecab-jumandic) uses the binaries
under /usr/libexec/mecab, which don't require /etc/mecabrc .


Comment 8 Mamoru TASAKA 2007-03-04 15:05:21 UTC
Just updated according to MUSTFIX.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-jumandic.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-jumandic-5.1.20051121-4.fc7.src.rpm
--------------------------------------
* Sun Mar  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 5.1.20051121-4
- Add missing defattr and make sed script safer.

Comment 9 Hans de Goede 2007-03-04 17:42:40 UTC
all must fix items fixed:

Approved by Hans de Goede


Comment 10 Mamoru TASAKA 2007-03-04 17:52:08 UTC
Thank you!!

Request to CVS admin for new package:
New Package CVS Request
=======================
Package Name:             mecab-jumandic
Short Description:        JUMAN dictorionary for MeCab
Owners:                   mtasaka@ioa.s.u-tokyo.ac.jp
Branches:                 devel FC-6 FC-5
InitialCC:                (nobody)
=======================

Comment 11 Mamoru TASAKA 2007-03-04 17:53:55 UTC
Oops...
changing to fedora-cvs?

Comment 12 Mamoru TASAKA 2007-03-05 01:11:44 UTC
Importing done on all branches.

Thank you for reviewing and approving this package!!
Closing.


Note You need to log in before you can comment on or make changes to this bug.